python-pyx_0.12.1-4_amd64.deb


Advertisement

Description

python-pyx - Python 2 module for generating PostScript graphics

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-pyx
Package version: 0.12.1
Package release: 4
Package architecture: amd64
Package type: deb
Installed size: 1.81 KB
Download size: 232.73 KB
Official Mirror: archive.ubuntu.com
PyX is a Python 2 module for generating encapsulated PostScript figures using an abstraction of PostScript and TeX. The module provides access to PostScript features such as paths, line-styles, fill patterns, transformations, and clipping. Geometric operations on paths such as intersections, transformations, and splitting are also supported. PyX also allows flexible graph generation with many different graph and axis styles. Development of this Python 2 version of PyX has ceased. Use the python3-pyx package for a version of PyX compatible with Python 3.

Alternatives

Provides

  • python2.7-pyx

    Download

    Source package: pyx

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-pyx deb package:
      # sudo apt-get install python-pyx

    Files

    • /usr/lib/python2.7/dist-packages/PyX-0.12.1.egg-info
    • /usr/lib/python2.7/dist-packages/pyx/__init__.py
    • /usr/lib/python2.7/dist-packages/pyx/attr.py
    • /usr/lib/python2.7/dist-packages/pyx/bbox.py
    • /usr/lib/python2.7/dist-packages/pyx/bitmap.py
    • /usr/lib/python2.7/dist-packages/pyx/box.py
    • /usr/lib/python2.7/dist-packages/pyx/canvas.py
    • /usr/lib/python2.7/dist-packages/pyx/canvasitem.py
    • /usr/lib/python2.7/dist-packages/pyx/color.py
    • /usr/lib/python2.7/dist-packages/pyx/config.py
    • /usr/lib/python2.7/dist-packages/pyx/connector.py
    • /usr/lib/python2.7/dist-packages/pyx/deco.py
    • /usr/lib/python2.7/dist-packages/pyx/deformer.py
    • /usr/lib/python2.7/dist-packages/pyx/document.py
    • /usr/lib/python2.7/dist-packages/pyx/epsfile.py
    • /usr/lib/python2.7/dist-packages/pyx/filelocator.py
    • /usr/lib/python2.7/dist-packages/pyx/mathutils.py
    • /usr/lib/python2.7/dist-packages/pyx/mesh.py
    • /usr/lib/python2.7/dist-packages/pyx/normpath.py
    • /usr/lib/python2.7/dist-packages/pyx/path.py
    • /usr/lib/python2.7/dist-packages/pyx/pattern.py
    • /usr/lib/python2.7/dist-packages/pyx/pdfextra.py
    • /usr/lib/python2.7/dist-packages/pyx/pdfwriter.py
    • /usr/lib/python2.7/dist-packages/pyx/pswriter.py
    • /usr/lib/python2.7/dist-packages/pyx/pycompat.py
    • /usr/lib/python2.7/dist-packages/pyx/pykpathsea.x86_64-linux-gnu.so
    • /usr/lib/python2.7/dist-packages/pyx/reader.py
    • /usr/lib/python2.7/dist-packages/pyx/style.py
    • /usr/lib/python2.7/dist-packages/pyx/text.py
    • /usr/lib/python2.7/dist-packages/pyx/trafo.py
    • /usr/lib/python2.7/dist-packages/pyx/unit.py
    • /usr/lib/python2.7/dist-packages/pyx/version.py
    • /usr/lib/python2.7/dist-packages/pyx/data/pyxrc
    • /usr/lib/python2.7/dist-packages/pyx/data/afm/Courier-Bold.afm
    • /usr/lib/python2.7/dist-packages/pyx/data/afm/Courier-BoldOblique.afm
    • /usr/lib/python2.7/dist-packages/pyx/data/afm/Courier-Oblique.afm
    • /usr/lib/python2.7/dist-packages/pyx/data/afm/Courier.afm
    • /usr/lib/python2.7/dist-packages/pyx/data/afm/Helvetica-Bold.afm
    • /usr/lib/python2.7/dist-packages/pyx/data/afm/Helvetica-BoldOblique.afm
    • /usr/lib/python2.7/dist-packages/pyx/data/afm/Helvetica-Oblique.afm
    • /usr/lib/python2.7/dist-packages/pyx/data/afm/Helvetica.afm
    • /usr/lib/python2.7/dist-packages/pyx/data/afm/MustRead.html
    • /usr/lib/python2.7/dist-packages/pyx/data/afm/Symbol.afm
    • /usr/lib/python2.7/dist-packages/pyx/data/afm/Times-Bold.afm
    • /usr/lib/python2.7/dist-packages/pyx/data/afm/Times-BoldItalic.afm
    • /usr/lib/python2.7/dist-packages/pyx/data/afm/Times-Italic.afm
    • /usr/lib/python2.7/dist-packages/pyx/data/afm/Times-Roman.afm
    • /usr/lib/python2.7/dist-packages/pyx/data/afm/ZapfDingbats.afm
    • /usr/lib/python2.7/dist-packages/pyx/data/def/pyx.def
    • /usr/lib/python2.7/dist-packages/pyx/data/lfs/10pt.lfs
    • /usr/lib/python2.7/dist-packages/pyx/data/lfs/10ptex.lfs
    • /usr/lib/python2.7/dist-packages/pyx/data/lfs/11pt.lfs
    • /usr/lib/python2.7/dist-packages/pyx/data/lfs/11ptex.lfs
    • /usr/lib/python2.7/dist-packages/pyx/data/lfs/12pt.lfs
    • /usr/lib/python2.7/dist-packages/pyx/data/lfs/12ptex.lfs
    • /usr/lib/python2.7/dist-packages/pyx/dvi/__init__.py
    • /usr/lib/python2.7/dist-packages/pyx/dvi/dvifile.py
    • /usr/lib/python2.7/dist-packages/pyx/dvi/encfile.py
    • /usr/lib/python2.7/dist-packages/pyx/dvi/mapfile.py
    • /usr/lib/python2.7/dist-packages/pyx/dvi/texfont.py
    • /usr/lib/python2.7/dist-packages/pyx/dvi/tfmfile.py
    • /usr/lib/python2.7/dist-packages/pyx/dvi/vffile.py
    • /usr/lib/python2.7/dist-packages/pyx/font/__init__.py
    • /usr/lib/python2.7/dist-packages/pyx/font/_t1code.x86_64-linux-gnu.so
    • /usr/lib/python2.7/dist-packages/pyx/font/afmfile.py
    • /usr/lib/python2.7/dist-packages/pyx/font/font.py
    • /usr/lib/python2.7/dist-packages/pyx/font/metric.py
    • /usr/lib/python2.7/dist-packages/pyx/font/pfmfile.py
    • /usr/lib/python2.7/dist-packages/pyx/font/t1code.py
    • /usr/lib/python2.7/dist-packages/pyx/font/t1file.py
    • /usr/lib/python2.7/dist-packages/pyx/graph/__init__.py
    • /usr/lib/python2.7/dist-packages/pyx/graph/data.py
    • /usr/lib/python2.7/dist-packages/pyx/graph/graph.py
    • /usr/lib/python2.7/dist-packages/pyx/graph/key.py
    • /usr/lib/python2.7/dist-packages/pyx/graph/style.py
    • /usr/lib/python2.7/dist-packages/pyx/graph/axis/__init__.py
    • /usr/lib/python2.7/dist-packages/pyx/graph/axis/axis.py
    • /usr/lib/python2.7/dist-packages/pyx/graph/axis/painter.py
    • /usr/lib/python2.7/dist-packages/pyx/graph/axis/parter.py
    • /usr/lib/python2.7/dist-packages/pyx/graph/axis/positioner.py
    • /usr/lib/python2.7/dist-packages/pyx/graph/axis/rater.py
    • /usr/lib/python2.7/dist-packages/pyx/graph/axis/texter.py
    • /usr/lib/python2.7/dist-packages/pyx/graph/axis/tick.py
    • /usr/lib/python2.7/dist-packages/pyx/graph/axis/timeaxis.py
    • /usr/lib/python2.7/dist-packages/pyx/metapost/__init__.py
    • /usr/lib/python2.7/dist-packages/pyx/metapost/mp_path.py
    • /usr/lib/python2.7/dist-packages/pyx/metapost/path.py
    • /usr/share/doc/python-pyx/AUTHORS
    • /usr/share/doc/python-pyx/README
    • /usr/share/doc/python-pyx/changelog.Debian.gz
    • /usr/share/doc/python-pyx/copyright

    Changelog

    2015-10-23 - Stuart Prescott <stuart@debian.org> pyx (0.12.1-4) unstable; urgency=medium * Make use of mathjax in sphinx documentation. * Fix targets in debian/rules for arch:all buildds. * Add build-dependency on dh-python. * Bump standards version to 3.9.6 (no changes required).

    2014-05-31 - Stuart Prescott <stuart@debian.org> pyx (0.12.1-3) unstable; urgency=medium * Update packaging to reflect that newer versions of pyx support only python 3 and that they are separately packaged in the pyx3 source package. * Update package descriptions to highlight that this is the python 2 version of pyx. * Disable watch file since this package is tracking the obsolete branch. * Add autopkgtest tests. * Update standards version to 3.9.5 (no changes required).

    2013-05-19 - Stuart Prescott <stuart@debian.org> pyx (0.12.1-2) unstable; urgency=low * Upload to unstable.

    2012-12-17 - Stuart Prescott <stuart@debian.org> pyx (0.12.1-1) experimental; urgency=low * New upstream release * Update maintainer address. * Update copyright format URL. * Bump standards version to 3.9.4 (no changes required). * Drop postinst that was needed for lenny->squeeze upgrades.

    2011-11-27 - Stuart Prescott <stuart+debian@nanonanonano.net> pyx (0.11.1-2) unstable; urgency=low * Add texlive-latex-base to Build-Depends to correctly rebuild lfs files if only binary packages are being built (LP: #896924). * Use the sphinx debhelper module to check over the sphinx documentation. * Build-depend on debhelper >= 8.9.5 to stop dh_compress compressing sphinx files.

    2011-05-20 - Stuart Prescott <stuart+debian@nanonanonano.net> pyx (0.11.1-1) unstable; urgency=low * New upstream release. * Change documentation build system to sphinx in line with new upstream docs. * Rebuild lfs files as part of build process. * Refresh patchs for new version: - drop manual-latex-define.patch no longer needed with sphinx. - drop siteconfig-static.patch: not needed with new build system - drop pyx-text-warnings26.patch: warnings fixed upstream * Add patch sphinx-mathjax.patch to use pngmath in sphinx rather than mathjax which is not yet in Debian. * Add patch createlfs-no-foiltex.patch to skip generation of foiltex-based lfs files that would require non-free components. * Switch to dpkg-source 3.0 (quilt) format. * Switch from python-support to dh_python2 as build helper. * Update copyright format to newer DEP-5 specification. * Add new files to copyright file. * Bump standards version to 3.9.2 (no changes required). * Set DM-Upload-Allowed: yes

    2010-02-10 - Stuart Prescott <stuart+debian@nanonanonano.net> pyx (0.10-2) unstable; urgency=low * Build-depend on new python-old-doctools package that provides tools no longer in python 2.6 (closes: #568046). * Bump standards version to 3.8.4 (no changes required).

    2009-10-29 - Stuart Prescott <stuart+debian@nanonanonano.net> pyx (0.10-1) unstable; urgency=low * New maintainer (closes: #552750). * Revert unneeded versioned build-dependency on python-all-dev. * Add a preinst script to clean up after python-central (working around bug #479852 in python-central) (closes: #553271). * Convert packaging to quilt.

    2009-10-19 - Kumar Appaiah <akumar@debian.org> pyx (0.10-0+nmu3) unstable; urgency=low * Non-maintainer upload. * Build-Depend on python-all-dev (>= 2.5.4) for python.mk.

    2009-09-30 - Stuart Prescott <stuart+debian@nanonanonano.net> pyx (0.10-0+nmu2) unstable; urgency=low * Non-maintainer upload * Fix build system for compatibility with Python 2.6 (closes: #547872) - change debhelper compat level to dh7. - remove unneeded sections of debian/rules. - remove versioned depends/conflicts/replaces for packages that haven't existed since Sarge. * Silence DeprecationWarning output from Python 2.6. * Move doc package to doc section. * Add doc-base entries for documentation. * Bump standards version to 3.8.3 (no changes required).

    Advertisement
    Advertisement